<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::negate_tr_model&lt; funct_model &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="structdlib_1_1negate__tr__model.html">negate_tr_model</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structdlib_1_1negate__tr__model-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::negate_tr_model&lt; funct_model &gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:acc1700967e790a5eae561aa9b5155dce"><td class="memItemLeft" align="right" valign="top"><a id="acc1700967e790a5eae561aa9b5155dce"></a>
typedef funct_model::column_vector&#160;</td><td class="memItemRight" valign="bottom"><b>column_vector</b></td></tr>
<tr class="separator:acc1700967e790a5eae561aa9b5155dce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb2730c64d37053e8b314dbf27a1440a"><td class="memItemLeft" align="right" valign="top"><a id="afb2730c64d37053e8b314dbf27a1440a"></a>
typedef funct_model::general_matrix&#160;</td><td class="memItemRight" valign="bottom"><b>general_matrix</b></td></tr>
<tr class="separator:afb2730c64d37053e8b314dbf27a1440a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a562f5b152fcdf2cc82c9c923b9f1a0b0"><td class="memItemLeft" align="right" valign="top"><a id="a562f5b152fcdf2cc82c9c923b9f1a0b0"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>negate_tr_model</b> (const funct_model &amp;m)</td></tr>
<tr class="separator:a562f5b152fcdf2cc82c9c923b9f1a0b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9264e4ef5e23e8bfa1ed5bf4eab4e153"><td class="memTemplParams" colspan="2"><a id="a9264e4ef5e23e8bfa1ed5bf4eab4e153"></a>
template&lt;typename T &gt; </td></tr>
<tr class="memitem:a9264e4ef5e23e8bfa1ed5bf4eab4e153"><td class="memTemplItemLeft" align="right" valign="top">T::type&#160;</td><td class="memTemplItemRight" valign="bottom"><b>operator()</b> (const T &amp;x) const</td></tr>
<tr class="separator:a9264e4ef5e23e8bfa1ed5bf4eab4e153"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a959cc645fbd81989869714e673e46923"><td class="memTemplParams" colspan="2"><a id="a959cc645fbd81989869714e673e46923"></a>
template&lt;typename T , typename U &gt; </td></tr>
<tr class="memitem:a959cc645fbd81989869714e673e46923"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><b>get_derivative_and_hessian</b> (const T &amp;x, T &amp;d, U &amp;h) const</td></tr>
<tr class="separator:a959cc645fbd81989869714e673e46923"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a4bddbb23e3f2efc7eaf68e89f7168726"><td class="memItemLeft" align="right" valign="top"><a id="a4bddbb23e3f2efc7eaf68e89f7168726"></a>
const funct_model &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>model</b></td></tr>
<tr class="separator:a4bddbb23e3f2efc7eaf68e89f7168726"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="optimization__trust__region_8h_source.html">optimization_trust_region.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
